body {
  background-color: #f9eed9;
  font-family: "Microsoft JhengHei", "PingFang TC", sans-serif;
  line-height: 1.5;
}

.main-content {
  /* grid-column: 1 / 2; */
  position: relative;
  padding: 1.5rem;
}

/* .song-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 1.5rem;
}

.featured-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 1.5rem;
  margin-bottom: 1.5rem;
} */

.song-card {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.song-card img,
.song-card iframe {
  width: 100%;
  aspect-ratio: 16 / 9;
  object-fit: cover;
  border-radius: 10px;
  background-color: #000;
  cursor: pointer;
}

.song-card p {
  /* margin-top: 0.6rem; */
  font-size: 0.9rem;
  color: #333;
  text-align: center;
}

/* =========================
   Mobile
   ========================= */

.featured-grid {
  display: grid;
  grid-template-columns: 1fr;
  gap: 1.5rem;
}

.song-grid {
  display: grid;
  grid-template-columns: 1fr;
  gap: 1.5rem;
}

/* =========================
   Tablet
   ========================= */

@media (min-width: 600px) {
  .featured-grid {
    grid-template-columns: repeat(2, 1fr);
  }

  .song-grid {
    grid-template-columns: repeat(2, 1fr);
  }
}

/* =========================
   Desktop
   ========================= */

@media (min-width: 1000px) {
  .featured-grid {
    grid-template-columns: repeat(3, 1fr);
  }

  .song-grid {
    grid-template-columns: repeat(4, 1fr);
  }
}
